Bug Hunting Session
Bug 98680 - GPU font rasterization ...
Summary: GPU font rasterization ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.1.0.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering VCL-OpenGL
  Show dependency treegraph
 
Reported: 2016-03-15 11:49 UTC by Michael Meeks
Modified: 2018-11-12 03:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2016-03-15 11:49:14 UTC
Ideally we should rasterize glyphs on the GPU not the CPU. This would have several benefits including speedups, clear-type-ifying, and particularly sub-pixel glyph positioning giving better layout of tiny text.

Ideally we could get consistent sub-pixel glyph positions from harfbuzz as/when we move to that for shaping; and get something rather beautiful here.
Comment 1 Johnny_M 2017-05-13 20:20:34 UTC
Has this been implemented in the meantime? (E.g., bug 107090 talks of GPU rendering of text. Although I might be mixing things up.)

As for tiny text rendering issues, just for info: another, tangential, improvement is described in the bug 103322, with its other possible manifestations such as bug 88991 and its companions. Bug 71732 comment 14 summarizes the current state after the move to Harfbuzz.
Comment 2 QA Administrators 2018-11-12 03:41:40 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug